<script setup>
  import VueDatePicker from '@vuepic/vue-datepicker';
  import '@vuepic/vue-datepicker/dist/main.css'
  import { filter_date } from "~/directives/filter.js";

  const props = defineProps({
    dataName: {
      type: String,
      required: true
    }
  });
  const datepicker = ref();

  const emit = defineEmits(['change']);
  
  function updateDate() {
    emit('change', filter_date.value);
  }

</script>
<template>
  <div class="flex flex-col items-center justify-center space-y-2">
    <VueDatePicker
      ref="datepicker"
      class="w-full font-las"
      v-model="filter_date"
      format="dd/MM/yyyy"
      :enable-time-picker="false"
      :action-row="{
        showPreview: false,
        showSelect: false,
        showClear: true
      }"
      placeholder="Choisissez une période"
      auto-apply
      :clearable="true"
      locale="fr"
      cancel-text="Réinitialiser"
      select-text="Appliquer"
      range
      hide-input-icon
      input-class-name="dp-las-input"
      calendar-class-name="dp-las-calendar"
      calendar-cell-class-name="dp-las-cell"
      @update:model-value="updateDate"
    />
  </div>
</template>
<style>
:root {
  --dp-font-family: Cream, Verdana, sans-serif;
}
.dp__las_calendar {
  box-shadow: inset 0px -4px 8px 0px rgba(0,0,0,0.15)
}
.dp__month_year_row .dp__btn, .dp__month_year_row .dp__inner_nav {
  color: white;
}
.dp__month_year_row .dp__btn:hover, .dp__month_year_row .dp__inner_nav:hover {
  color: black;
}
.dp__calendar_header {
  color: white;
}
.dp__calendar_header_separator {
  display: none;
}
.dp-las-calendar, .dp__menu_inner, .dp-las-calendar .dp__calendar_item {
  background-color: #E58252;
  color: white;
}
.dp__menu_inner {
  border-radius: 0 0 5px 5px;
}
.dp__calendar_item > .dp__range_between {
  background-color: white;
  color: black;
  border: none;
}
.dp__calendar_item > .dp__range_start {
  background-color: white;
  color: black;
  border-radius: 5px 0 0 5px;
  border: none;
}
.dp__calendar_item > .dp__range_end {
  background-color: white;
  color: black;
  border-radius: 0 5px 5px 0;
  border: none;
}

.dp-las-input {
  width: 284px;
  color: black;
  border: 1px solid #E58252;
  padding: 4px 8px;
  font-size: 16px;
  margin: 0 4px;
  /* box-shadow: 0px 2px 4px 0px rgba(0,0,0,0.15); */
}
/* hidden feat */
/* .dp__month_year_row {
  display: none;
} */
/* buttton */
.dp__action_buttons {
  display: block;
  margin: 0 auto;
}
.dp__action_button.dp__action_select {
  display: block;
  width: 155px;
  height: 37px;
  background-color: #E58252;
  color: white;
  border-radius: 16px;
  border: none;
  font-size: 20px;
  line-height: 28px;
  margin: 0 10px;
  padding: 1px 6px;
}
.dp__action_button.dp__action_select:hover {
  background-color: white;
  color: black;
  border: 1px solid #E58252;
}
</style>